---
- hosts: localhost
  tasks:
          - name: Define variable in task.
            shell: read -r BUILD_LATEST < filename.txt &&  echo $BUILD_LATEST
            register : BUILD_LATEST
          - debug:
              var: BUILD_LATEST.stdout_lines[0]
          - file:
             path: /home/ub/Downloads/apache-tomcat-9.0.16/webapps/HelloWeb
             state: absent
             name: "remove existing extracted war"
          - get_url:
             dest: /home/ub/Downloads/apache-tomcat-9.0.16/webapps/HelloWeb.war
             force: true
             url: "{{ BUILD_LATEST.stdout_lines[0]}}"

            
          
         
